Package org.silverpeas.components.whitepages.service

# Class MixedSearchService.SearchQuery

java.lang.Object
org.silverpeas.components.whitepages.service.MixedSearchService.SearchQuery

Enclosing interface:
  `MixedSearchService`

public static class MixedSearchService.SearchQuery extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchQuery()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComponentId()`
  `List<org.silverpeas.core.index.indexing.model.FieldDescription>`
  `getFieldsQuery()`
  `String`
  `getLanguage()`
  `String`
  `getQuery()`
  `String`
  `getTaxonomyPosition()`
  `String`
  `getUserId()`
  `Map<String,String>`
  `getXmlFields()`
  `String`
  `getXmlTemplate()`
  `MixedSearchService.SearchQuery`
  `setComponentId(String componentId)`
  `MixedSearchService.SearchQuery`
  `setFieldsQuery(List<org.silverpeas.core.index.indexing.model.FieldDescription> fieldsQuery)`
  `MixedSearchService.SearchQuery`
  `setLanguage(String language)`
  `MixedSearchService.SearchQuery`
  `setQuery(String query)`
  `MixedSearchService.SearchQuery`
  `setTaxonomyPosition(String taxonomyPosition)`
  `MixedSearchService.SearchQuery`
  `setUserId(String userId)`
  `MixedSearchService.SearchQuery`
  `setXmlFields(Map<String,String> xmlFields)`
  `MixedSearchService.SearchQuery`
  `setXmlTemplate(String xmlTemplate)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchQuery

    public SearchQuery()

- ## Method Details

  - ### getComponentId

    public String getComponentId()

  - ### getUserId

    public String getUserId()

  - ### getQuery

    public String getQuery()

  - ### getTaxonomyPosition

    public String getTaxonomyPosition()

  - ### getXmlFields

    public Map<String,String> getXmlFields()

  - ### getXmlTemplate

    public String getXmlTemplate()

  - ### getFieldsQuery

    public List<org.silverpeas.core.index.indexing.model.FieldDescription> getFieldsQuery()

  - ### getLanguage

    public String getLanguage()

  - ### setComponentId

    public MixedSearchService.SearchQuery setComponentId(String componentId)

  - ### setUserId

    public MixedSearchService.SearchQuery setUserId(String userId)

  - ### setQuery

    public MixedSearchService.SearchQuery setQuery(String query)

  - ### setTaxonomyPosition

    public MixedSearchService.SearchQuery setTaxonomyPosition(String taxonomyPosition)

  - ### setXmlFields

    public MixedSearchService.SearchQuery setXmlFields(Map<String,String> xmlFields)

  - ### setXmlTemplate

    public MixedSearchService.SearchQuery setXmlTemplate(String xmlTemplate)

  - ### setFieldsQuery

    public MixedSearchService.SearchQuery setFieldsQuery(List<org.silverpeas.core.index.indexing.model.FieldDescription> fieldsQuery)

  - ### setLanguage

    public MixedSearchService.SearchQuery setLanguage(String language)